#ifndef EDITINGTABLEMASK_H
#define EDITINGTABLEMASK_H

#include <QWidget>
#include <QAbstractItemModel>
#include <QDataWidgetMapper>
#include <QtSql>

class editingTableMask : public QWidget
{
    Q_OBJECT
public:
    editingTableMask(QAbstractItemModel* model = 0, int pos = -1, QWidget* parent = 0);
    virtual ~editingTableMask();

    void setCurrentIndex(int);

signals:
    void accepted();
    void closed();

protected slots:
    virtual void OKPressed();

protected:
    virtual QWidget* insertEditingField(const int nColumn);
    virtual QWidget* insertLabelField(const int nColumn);
    QDataWidgetMapper* m_mapper;
    QAbstractItemModel *m_model;
};
#endif // EDITINGTABLEMASK_H
