CREATE DATABASE helpme;
\connect helpme

CREATE SEQUENCE "address_id";
CREATE SEQUENCE "city_id";

CREATE TABLE city (
    id INTEGER NOT NULL DEFAULT NEXTVAL ('city_id'),
    name CHARACTER VARYING(128) NOT NULL,
    PRIMARY KEY(id)
);

CREATE TABLE address (
    id INTEGER NOT NULL DEFAULT nextval('address_id'),
    name CHARACTER VARYING NOT NULL,
    city_id INTEGER REFERENCES city(id) MATCH SIMPLE ON UPDATE CASCADE ON DELETE RESTRICT,
    PRIMARY KEY(id)
);

INSERT INTO city(name) VALUES('Madrid');
INSERT INTO city(name) VALUES('Rome');
INSERT INTO city(name) VALUES('Paris');

INSERT INTO address(name,city_id) VALUES('Me',2);
INSERT INTO address(name,city_id) VALUES('You',1);
INSERT INTO address(name,city_id) VALUES('Him',3);
